// -----------------------------------------------------------------------------
// Copyright 2011-2012 Patrick Näf (herzbube@herzbube.ch)
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// -----------------------------------------------------------------------------


// Project includes
#import "PlayViewLayerDelegateBase.h"

// Forward declarations
@class GoPoint;


// -----------------------------------------------------------------------------
/// @brief The CrossHairLinesLayerDelegate class is responsible for drawing the
/// lines of the cross-hair that indicates to the user during stone placement
/// where the stone would be placed.
// -----------------------------------------------------------------------------
@interface CrossHairLinesLayerDelegate : PlayViewLayerDelegateBase
{
}

/// @name PlayViewLayerDelegate methods
//@{
- (void) notify:(enum PlayViewLayerDelegateEvent)event eventInfo:(id)eventInfo;
//@}

/// @name CALayer delegate methods
//@{
- (void) drawLayer:(CALayer*)layer inContext:(CGContextRef)context;
//@}


/// @brief Refers to the GoPoint object that marks the focus of the cross-hair.
@property(nonatomic, retain) GoPoint* crossHairPoint;

@end
